Uploaded image for project: 'Picard'
  1. Picard
  2. PICARD-2014

Config upgrade from Picard < 1.3.0 to version 2.4 or later fails

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: 2.4, 2.4.2, 2.5.1
    • Fix Version/s: 2.5.2
    • Component/s: Other
    • Labels:
      None
    • Environment:
      Ubuntu 20.10 (amd64)

      Description

      Hiya, I've possibly quite an obscure situation here - just upgraded from Ubuntu 14.04 to 20.10, which equates to a picard upgrade from 1.2 to 2.4.2. (Also tried the musicbrainz-developers/daily ppa today and verified the problem is still there.)

      This isn't a particularly high priority as I can work around it by deleting my existing settings (rm -rf ~/.config/MusicBrainz) and it starts from scratch okay, but I thought you might like to know anyway.

      With my previous config file in place (attached) startup gives this python traceback and aborts (repeatedly.)

      I: 13:42:59,450 /usr/lib/picard/picard/config._backup_settings:274: Backing up config file to /home/dave/.config/MusicBrainz/Picard-1.3.0.dev1.ini
      E: 13:42:59,459 /usr/lib/picard/picard/config.value:125: Cannot read setting/preserved_tags value: unable to convert a QVariant of type 10 to a QMetaType of type 9
      Traceback (most recent call last):
      File "/usr/lib/picard/picard/config.py", line 121, in value
      value = self.raw_value(name, qtype=option_type.qtype)
      File "/usr/lib/picard/picard/config.py", line 104, in raw_value
      value = self.__qt_config.value(key, type=qtype)
      TypeError: unable to convert a QVariant of type 10 to a QMetaType of type 9
      Traceback (most recent call last):
      File "/usr/lib/picard/picard/config.py", line 247, in run_upgrade_hooks
      hook['func'](self, *hook['args'])
      File "/usr/lib/picard/picard/config_upgrade.py", line 121, in upgrade_to_v1_3_0_dev_2
      _s[opt] = re.sub(r"\s+", ",", _s[opt].strip())
      AttributeError: 'list' object has no attribute 'strip'

      During handling of the above exception, another exception occurred:

      Traceback (most recent call last):
      File "/usr/bin/picard", line 3, in <module>
      main('/usr/share/locale', False)
      File "/usr/lib/picard/picard/tagger.py", line 974, in main
      tagger = Tagger(picard_args, unparsed_args, localedir, autoupdate)
      File "/usr/lib/picard/picard/tagger.py", line 244, in _init_
      upgrade_config(config.config)
      File "/usr/lib/picard/picard/config_upgrade.py", line 330, in upgrade_config
      cfg.run_upgrade_hooks(log.debug)
      File "/usr/lib/picard/picard/config.py", line 250, in run_upgrade_hooks
      raise ConfigUpgradeError(
      picard.config.ConfigUpgradeError: Error during config upgrade from version 1.3.0.dev1 to 1.3.0.dev2 using upgrade_to_v1_3_0_dev_2():
      Traceback (most recent call last):
      File "/usr/lib/picard/picard/config.py", line 247, in run_upgrade_hooks
      hook['func'](self, *hook['args'])
      File "/usr/lib/picard/picard/config_upgrade.py", line 121, in upgrade_to_v1_3_0_dev_2
      _s[opt] = re.sub(r"\s+", ",", _s[opt].strip())
      AttributeError: 'list' object has no attribute 'strip'

       

        Attachments

          Activity

            People

            Assignee:
            outsidecontext Philipp Wolfer
            Reporter:
            Sam Sam
            Votes:
            0 Vote for this issue
            Watchers:
            3 Start watching this issue

              Dates

              Created:
              Updated:
              Resolved:

                Packages

                Version Package
                2.5.2